//==- CodingConventions.h - Checker for coding conventions -*- C++ -*-==//
//
//                     The LLVM Compiler Infrastructure
//
// This file is distributed under the University of Illinois Open Source
// License. See LICENSE.TXT for details.
//
//===----------------------------------------------------------------------===//
//
//  This file defines the interface to a set of coding convention checkers.
//
//===----------------------------------------------------------------------===//

#ifndef LLVM_CLANG_ANALYSIS_CODINGCONVENTIONS_H
#define LLVM_CLANG_ANALYSIS_CODINGCONVENTIONS_H

#include "llvm/ADT/StringRef.h"

namespace clang {

class Decl;
class Diagnostic;
class SourceManager;
class LangOptions;

void CheckCodingConventionNames(Decl *D, Diagnostic& Diags,
                                SourceManager& SM,
                                const LangOptions& Lang);
void CheckCodingConventionSpaces(Decl *D, Diagnostic& Diags,
                                 SourceManager& SM,
                                 const LangOptions& Lang);
void CheckCodingConventionBestPractices(Decl *D, Diagnostic& Diags,
                                        SourceManager& SM,
                                        const LangOptions& Lang);

void SetCodingConventionConfigFile(llvm::StringRef name);

} // end namespace clang

#endif
